Package org.eclipse.graphiti.palette.impl

# Class ObjectCreationToolEntry

java.lang.Object
org.eclipse.graphiti.palette.impl.AbstractPaletteEntry
org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry
org.eclipse.graphiti.palette.impl.ObjectCreationToolEntry

All Implemented Interfaces:
  `ICreationToolEntry`, `IObjectCreationToolEntry`, `IPaletteEntry`, `IToolEntry`

public class ObjectCreationToolEntry extends AbstractPaletteToolEntry implements IObjectCreationToolEntry
The Class ObjectCreationToolEntry creates an palette tool which creates an object.

## Field Summary

### Fields inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry

`features`

## Constructor Summary

Constructors
Constructor
Description
`ObjectCreationToolEntry(String label, String description, String iconId, String largeIconId, ICreateFeature createFeature)`
Creates a new `ObjectCreationToolEntry`.

## Method Summary

Modifier and Type
Method
Description
`ICreateFeature`
`getCreateFeature()`
Gets the create feature.

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteToolEntry

`getDescription, getFeatures, getLargeIconId`

### Methods inherited from class org.eclipse.graphiti.palette.impl.AbstractPaletteEntry

`getIconId, getLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.palette.ICreationToolEntry

`getDescription, getLargeIconId`

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

## Constructor Details

### ObjectCreationToolEntry

public ObjectCreationToolEntry(String label, String description, String iconId, String largeIconId, ICreateFeature createFeature)
Creates a new `ObjectCreationToolEntry`.

Parameters:
  `label` - the label
  `description` - the description
  `iconId` - the icon id
  `largeIconId` - the large icon id
  `createFeature` - the feature which should be called on creation

## Method Details

### getCreateFeature

public ICreateFeature getCreateFeature()
Gets the create feature.

Specified by:
  `getCreateFeature` in interface `IObjectCreationToolEntry`
Returns:
  the associated creation tool